LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Compile 3.3.0 failed - lensfuniface.cpp undefined reference (http://www.linuxquestions.org/questions/slackware-14/compile-3-3-0-failed-lensfuniface-cpp-undefined-reference-4175472613/)

StreamThreader 08-08-2013 05:49 AM

Compile 3.3.0 failed - lensfuniface.cpp undefined reference
 
Hello
I have problem while compile digikam.
In kde bug report not any idea how to resolve.
https://bugs.kde.org/show_bug.cgi?id=323284

Compile log ftp://ifconfig.com.ua/incoming/log/digikam.log

WhiteWolf1776 08-08-2013 06:35 AM

The issue looks to be lensfun... what version of that did you install?

Going by the bug report, you need 0.2.7 for the new digikam build to work with it.

If you go here:
http://developer.berlios.de/project/...?group_id=9034

get the new version of lensfun

Assuming you are using the slackbuild from here:
http://slackbuilds.org/repository/14...aries/lensfun/

It's usually just an edit to bump the version number and rebuild, then upgradepkg on lensfun and try building digikam again.

If you don't want lensfun, it looks to be optional, so you can removepkg on it and just build digikam without it.. always your choice.

StreamThreader 08-08-2013 07:01 AM

I already reinstall 0.2.7

WhiteWolf1776 08-08-2013 07:09 AM

Ok, I see now... if you look at the bug report attachment just above your last entry, he is running digikam 3.4.0 .. must be a per-release version.

I'd ask him how to get that version, as it seems to work with all the updated libs.

willysr 08-08-2013 07:16 AM

Can you specify which Slackware version you used to build digiKam 3.3.0?
and also which SlackBuild script did you use to build this package?

willysr 08-08-2013 07:19 AM

digiKam 3.4.0 are not released yet. The latest one is 3.3.0 and it's sync with KDE 4.10.x branch. 3.4.0 will sync with KDE 4.11.
I also have digiKam 3.3.0 running fine on my machine, which is -current running KDE 4.10.5 and also using lensfun 0.2.7


All times are GMT -5. The time now is 03:38 AM.